---
id: v2024-sp-config-rule-value
title: SpConfigRuleValue
pagination_label: SpConfigRuleValue
sidebar_label: SpConfigRuleValue
sidebar_class_name: gosdk
keywords: ['go', 'Golang', 'sdk', 'SpConfigRuleValue', 'V2024SpConfigRuleValue'] 
slug: /tools/sdk/go/v2024/models/sp-config-rule-value
tags: ['SDK', 'Software Development Kit', 'SpConfigRuleValue', 'V2024SpConfigRuleValue']
---

# SpConfigRuleValue

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------

## Methods

### NewSpConfigRuleValue

`func NewSpConfigRuleValue() *SpConfigRuleValue`

NewSpConfigRuleValue instantiates a new SpConfigRuleValue object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewSpConfigRuleValueWithDefaults

`func NewSpConfigRuleValueWithDefaults() *SpConfigRuleValue`

NewSpConfigRuleValueWithDefaults instantiates a new SpConfigRuleValue object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set


